Test a global connection
post
/epm/rest/v1/globalConnections/{globalConnectionId}/test
Request
Supported Media Types
- application/json
Path Parameters
The details specific to this connection type. All connection types include a "type", the type of the connection. See the "type" object for allowed values.
EPM connections also include:
"url", the URL for the connection,
"identityDomain", the identity domain for the connection,
"username", the username for the connection,
"password", the password for the connection.
EPM OAuth connections also include:
"url", the URL for the connection,
"clientId", the client Id for the connection,
"accessToken", the access token for the connection,
"refreshToken", the refresh token for the connection,
"authType", the authentication type for the connection. Use OAuth,
"tokenUrl", the OAuth token endpoint used to obtain and refresh access tokens for the connection.
Oracle Object Store connections also include:
"url", the URL for the connection,
"username", the username for the connection,
"password", the password for the connection,
"defaultBucket", the updated default Object Storage bucket.
Oracle Object Store API Request Sign authenticated connections also include:
"tenancyOciId", the OCI Tenancy Id for the connection,
"userOciId", the OCI user Id for the connection,
"publicKeyFingerprint", the Fingerprint of the public key for the connection,
"privateKeyFileId", the file Id of the private key that was uploaded to temp for the connection.
UCM connections using Basic Authentication also include:
"url", the URL for the connection,
"username", the username for the connection,
"password", the password for the connection,
"identityDomain", the identity domain for the connection,
"defaultDocumentAccount", the default UCM document account.
UCM connections using OAuth authentication also include:
"url", the ERP Application URL for the connection,
"idcsTokenUrl", the OAuth token endpoint used to obtain access tokens for the connection,
"clientId", Client ID for the connection,
"scope", provides a method to govern the amount of access that is granted to a JSON Web Token,
"certificateAlias", Alias name that an EDM user provides while creating the client in ERP IDCS,
"privateKeyFileId", the file Id of the private key that was uploaded to temp for the connection,
"authType", the authentication type for the connection,
"defaultDocumentAccount", the default UCM document account.
AVCS connections also include:
"url", the URL for the connection,
"clientId", the client Id for the connection,
"clientSecret", the client Secret for the connection.
AZURE connections also include:
"url", the URL for the connection,
"tenantId", the tenant Id for the connection,
"clientId", the client Id for the connection,
"clientSecret", the client Secret for the connection,
"defaultContainerName", the default container name,
"defaultFolder", the default folder name.
EXTERNAL_VALIDATION connections also include:
"url", the URL for the connection,
"username", the username for the connection,
"password", the password for the connection,
"maxBatchSize", The maximum number of nodes that should be validated by the external system in a single batch, up to 10,000. The default is 1,000,
"maxConcurrentProcesses", The maximum number of concurrent validation processes that should be run by the external system, up to 3. The default is 1.
OIC OAuth connections also include:
"url", the URL for the OIC connection,
"integrationInstanceId", the integration instance ID,
"clientId", OAuth client ID,
"clientSecret", a placeholder value for the OAuth client secret,
"scope", OAuth scope,
"idcsTokenUrl", the OAuth token endpoint used to obtain access tokens for the connection.
Root Schema : Global Connection Test Details
Type:
objectDiscriminator:
typeThe details specific to this connection type. All connection types include a "type", the type of the connection. See the "type" object for allowed values.
EPM connections also include:
"url", the URL for the connection,
"identityDomain", the identity domain for the connection,
"username", the username for the connection,
"password", the password for the connection.
EPM OAuth connections also include:
"url", the URL for the connection,
"clientId", the client Id for the connection,
"accessToken", the access token for the connection,
"refreshToken", the refresh token for the connection,
"authType", the authentication type for the connection. Use OAuth,
"tokenUrl", the OAuth token endpoint used to obtain and refresh access tokens for the connection.
Oracle Object Store connections also include:
"url", the URL for the connection,
"username", the username for the connection,
"password", the password for the connection,
"defaultBucket", the updated default Object Storage bucket.
Oracle Object Store API Request Sign authenticated connections also include:
"tenancyOciId", the OCI Tenancy Id for the connection,
"userOciId", the OCI user Id for the connection,
"publicKeyFingerprint", the Fingerprint of the public key for the connection,
"privateKeyFileId", the file Id of the private key that was uploaded to temp for the connection.
UCM connections using Basic Authentication also include:
"url", the URL for the connection,
"username", the username for the connection,
"password", the password for the connection,
"identityDomain", the identity domain for the connection,
"defaultDocumentAccount", the default UCM document account.
UCM connections using OAuth authentication also include:
"url", the ERP Application URL for the connection,
"idcsTokenUrl", the OAuth token endpoint used to obtain access tokens for the connection,
"clientId", Client ID for the connection,
"scope", provides a method to govern the amount of access that is granted to a JSON Web Token,
"certificateAlias", Alias name that an EDM user provides while creating the client in ERP IDCS,
"privateKeyFileId", the file Id of the private key that was uploaded to temp for the connection,
"authType", the authentication type for the connection,
"defaultDocumentAccount", the default UCM document account.
AVCS connections also include:
"url", the URL for the connection,
"clientId", the client Id for the connection,
"clientSecret", the client Secret for the connection.
AZURE connections also include:
"url", the URL for the connection,
"tenantId", the tenant Id for the connection,
"clientId", the client Id for the connection,
"clientSecret", the client Secret for the connection,
"defaultContainerName", the default container name,
"defaultFolder", the default folder name.
EXTERNAL_VALIDATION connections also include:
"url", the URL for the connection,
"username", the username for the connection,
"password", the password for the connection,
"maxBatchSize", The maximum number of nodes that should be validated by the external system in a single batch, up to 10,000. The default is 1,000,
"maxConcurrentProcesses", The maximum number of concurrent validation processes that should be run by the external system, up to 3. The default is 1.
OIC OAuth connections also include:
"url", the URL for the OIC connection,
"integrationInstanceId", the integration instance ID,
"clientId", OAuth client ID,
"clientSecret", a placeholder value for the OAuth client secret,
"scope", OAuth scope,
"idcsTokenUrl", the OAuth token endpoint used to obtain access tokens for the connection.
Show Source
-
type(required):
string
Read Only:
trueAllowed Values:[ "ORACLE_OBJECT_STORE", "ORACLE_OBJECT_STORE_REQ_SIGN", "EPM", "EPM_OAUTH", "UCM", "UCM_OAUTH", "AVCS", "AZURE", "EXTERNAL_VALIDATION", "OIC_OAUTH" ]Type should be set to "EPM" for Oracle Cloud EPM connections, "EPM_OAUTH" for Oracle Cloud EPM OAuth connections, "UCM" for Oracle Cloud ERP connections, "UCM_OAUTH" for Oracle Cloud ERP OAuth connections, "ORACLE_OBJECT_STORE" for Oracle Object Store connections, "ORACLE_OBJECT_STORE_REQ_SIGN" for Oracle Object Store API Request Sign Authenticated connections, "AZURE" for Microsoft Azure connections, "AVCS" for Oracle Address, Email, and Phone Verification connections, "EXTERNAL_VALIDATION" for External Validation connections and "OIC_OAUTH" for Oracle Integration Cloud OAuth connections.
Response
Supported Media Types
- application/json
200 Response
OK
400 Response
Error in body
404 Response
Connection not found
Examples
The following example shows how to test a global connection by using a POST request on the REST resource using cURL.
cURL Command
curl --user epm_cloud_user -X POST -H 'Content-Type: application/json' @example_request_payload.json https://servername.fa.us2.oraclecloud.com/epm/rest/v1/globalConnections/b3ee4f46-9b49-4422-b8b5-7113038e7015/test
Example of Request Body
The following shows an example of the request body in JSON format.
{
"url": "http[s]://hostname[:port]",
"username": "User1",
"password": "daa64d99-9c88-4109-a75b-c9756b7d0796",
"type": "UCM"
}
Example of Response Body
The following shows an example of the response body in JSON format.
{
"success": true,
"messages": null
}